package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会议参会人员关联表
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingAttendee implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 会议id
     */
    private Long meetingId;

    /**
     * 参与人id
     */
    private String userId;

    /**
     * 是否签到(0-否 1-是)
     */
    private Long isSign;

    /**
     * 签到时间
     */
    private LocalDateTime signDate;

    /**
     * 是否签退(0-否 1-是)
     */
    private Long isSignOut;

    /**
     * 签退时间
     */
    private LocalDateTime signOutDate;

    /**
     * 签到方式(0.人工签到 1.人脸签到)
     */
    private Long signType;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
