package com.usky.meeting.service;

import com.usky.meeting.domain.MeetingInfo;
import com.usky.common.mybatis.core.CrudService;

import java.util.Map;

/**
 * <p>
 * 会议表(预约成功) 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
public interface MeetingInfoService extends CrudService<MeetingInfo> {

    /**
     * 获取当日会议预约数量
     * @return  Map<String,Object>
     */
    Map<String,Object> meetingSummary();

    /**
     * 获取当年会议预约数量
     * @return  Map<String,Object>
     */
    Map<String,Object> meetingSummaryByYear(String year);
}
