package com.usky.meeting.service.impl;

import com.usky.meeting.domain.MeetingInfo;
import com.usky.meeting.mapper.MeetingInfoMapper;
import com.usky.meeting.repository.MeetingInfoRepository;
import com.usky.meeting.service.MeetingInfoService;
import com.usky.common.mybatis.core.AbstractCrudService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 会议表(预约成功) 服务实现类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Service
@RequiredArgsConstructor
public class MeetingInfoServiceImpl extends AbstractCrudService<MeetingInfoMapper, MeetingInfo> implements MeetingInfoService {

    @Autowired
    private MeetingInfoRepository dmMeetingRepository;

    @Override
    public Map<String, Object> meetingSummary() {
        return dmMeetingRepository.meetingSummary();
    }

    @Override
    public Map<String, Object> meetingSummaryByYear(String year) {
        return dmMeetingRepository.meetingSummaryByYear(year);
    }
}
